Preloader can't open system menu's boot file?

Discussion in 'Wii - Hacking' started by NightKry, May 24, 2009.

  1. NightKry
    OP

    NightKry GBAtemp Regular

    Member
    278
    0
    Jul 19, 2007
    Canada
    Like, here?
    Well, i was running AnyRegionChanger to downgrade my wii back to 3.2U from 4.0 (I had updated via Wakinkoko's or is it his? anyway that's not the point), after that, everything was working nicely, untill I ran cIoScorp1.01 which -I don't really know; I went to grab some water to drink- and when i was back, i was at the preloader menu (I had preloader on 4.0), and when I tried to go to the System Menu, in very broken text, it said 'System files are corrupted, please consult the whatever manual'. Preloader and HBC stilll worked, so I ran AnyRegionChanger again to install 3.2U again, but this time, afterwards all it says is that Preloader can't open system menu's boot file...


    What do I do?
    Preloader v0.29 works, and Homebrew Channel works too.

    THANK YOU.

    And sorry for being a n00b. =P I have already used google, but....
     
  2. Det1re

    Det1re det1re.de

    Member
    1,272
    1
    Oct 28, 2008
    Gambia, The
    Germany
    First of all just re-run the installer of Preloader. This might fix the problem.
     
  3. SFenton

    SFenton ಠ_ಠ

    Member
    1,077
    3
    Oct 14, 2008
    United States
    Derp
    Isn't this explicitly in the read-me? >.>
     
  4. piratesmack

    piratesmack GBAtemp Advanced Fan

    Member
    787
    0
    Mar 28, 2009
    United States
    $(pwd)
    Did you have preloader installed on 4.0?
    If so, I think your settings might have been left behind and it's trying to use IOS60 as the System Menu IOS.
    Go into preloader settings, and change the System Menu IOS to 30 (that's the correct IOS for 3.2)

    EDIT

    Sorry, I must be tired.
    I didn't read your post correctly
     
  5. Maikel Steneker

    Maikel Steneker M3 Fanboy

    Member
    3,396
    34
    May 16, 2007
    Netherlands
    Maybe you need another hacks.ini? I know they're different for 3.2 and 4.0. If you have hacks activated that were meant for 4.0 it might damage your installation of 3.2.
     
  6. kedest

    kedest GBAtemp Psycho!

    Member
    3,287
    110
    Feb 6, 2007
    Netherlands
    Your first problem could have been fixed by setting the system menu IOS back to 30
    But by running the anyregion changer, you've erased the replaced system menu. You can restore this by simply reinstalling it. Get the system menu 3.2 wad and install it with wad manager. This will restore the menu (and it will overwrite preloader)
     
  7. NightKry
    OP

    NightKry GBAtemp Regular

    Member
    278
    0
    Jul 19, 2007
    Canada
    Like, here?
    Hi,

    Setting the system menu IOS back to 30 does not fix the problem; I seem to be a tad late.
    As for .wad, my Wadmanager gives me the 2011 error (apparently some system menu firmwares do not allow you to install wads?)

    What do I do?
    The latest wadmanager error when installing wads?

    Thanks for all the replies!

    Also, Hack Remover fails. Like, literally, the operation fails. =P

    My preloader screen says:
    all the regular options

    error autobooting systemmenu!
    Could not open boot file!

    ISO v30
    Systemmenu v289 ( this is 3.2u isn't it?)
    Preloader v0.29

    EDIT:
    YAY. I decided to use Wakinkoko's updater, and updated my wii back to 4.0 --I got my system menu back!
    *Does the happy chicken dance*